diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/TimerEJBRuntimeNameTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/TimerEJBRuntimeNameTestCase.java
index 0fd2283d181..9df5166d2d6 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/TimerEJBRuntimeNameTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/TimerEJBRuntimeNameTestCase.java
@@ -159,7 +159,7 @@ private static InitialContext getInitialContext() throws NamingException {
         final Hashtable env = new Hashtable();
         env.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
         env.put(Context.INITIAL_CONTEXT_FACTORY, org.jboss.naming.remote.client.InitialContextFactory.class.getName());
-        env.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":" + 8080);
+        env.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":" + Integer.parseInt(System.getProperty("jboss.http.port", "8080")));
         return new InitialContext(env);
     }
 
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/messaging/mgmt/CoreQueueManagementTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/messaging/mgmt/CoreQueueManagementTestCase.java
index d3cce8afc36..101b88e2d7f 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/messaging/mgmt/CoreQueueManagementTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/messaging/mgmt/CoreQueueManagementTestCase.java
@@ -80,7 +80,7 @@ public void setup() throws Exception {
 
         HashMap<String, Object> map = new HashMap<String, Object>();
         map.put("host", TestSuiteEnvironment.getServerAddress());
-        map.put("port", 8080);
+        map.put("port", TestSuiteEnvironment.getHttpPort());
         map.put(TransportConstants.HTTP_UPGRADE_ENABLED_PROP_NAME, true);
         map.put(TransportConstants.HTTP_UPGRADE_ENDPOINT_PROP_NAME, "http-acceptor");
         TransportConfiguration transportConfiguration =
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/CallEjbServlet.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/CallEjbServlet.java
index 571f57c47ad..74c800df7f5 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/CallEjbServlet.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/CallEjbServlet.java
@@ -28,7 +28,7 @@ protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws Se
             String address = System.getProperty("node0", "localhost");
             // format possible IPv6 address
             address = NetworkUtils.formatPossibleIpv6Address(address);
-            env.put(Context.PROVIDER_URL, "remote+http://" + address + ":8080");
+            env.put(Context.PROVIDER_URL, "remote+http://" + address + ":" + System.getProperty("jboss.http.port", "8080"));
             env.put(Context.INITIAL_CONTEXT_FACTORY, "org.jboss.naming.remote.client.InitialContextFactory");
             ctx = new InitialContext(env);
 
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/MyEjbBean.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/MyEjbBean.java
index fb6141b4ee1..857997c83f2 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/MyEjbBean.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/MyEjbBean.java
@@ -17,7 +17,7 @@ protected MyObject lookup() {
             String address = System.getProperty("node0", "localhost");
             // format possible IPv6 address
             address = NetworkUtils.formatPossibleIpv6Address(address);
-            env.put(Context.PROVIDER_URL, "http-remoting://" + address + ":8080");
+            env.put(Context.PROVIDER_URL, "http-remoting://" + address + ":" + System.getProperty("jboss.http.port", "8080"));
             env.put(Context.INITIAL_CONTEXT_FACTORY, "org.jboss.naming.remote.client.InitialContextFactory");
             Context ctx = new InitialContext(env);
             try {
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/RunRmiServlet.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/RunRmiServlet.java
index b2a962ffec3..c71d00e63a6 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/RunRmiServlet.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/naming/remote/multiple/RunRmiServlet.java
@@ -37,7 +37,7 @@ protected MyObject lookup() throws ServletException {
             String address = System.getProperty("node0", "localhost");
             // format possible IPv6 address
             address = NetworkUtils.formatPossibleIpv6Address(address);
-            env.put(Context.PROVIDER_URL, "remote+http://" + address + ":8080");
+            env.put(Context.PROVIDER_URL, "remote+http://" + address + ":" + System.getProperty("jboss.http.port", "8080"));
             env.put(Context.INITIAL_CONTEXT_FACTORY, "org.jboss.naming.remote.client.InitialContextFactory");
             Context ctx = new InitialContext(env);
             try {
diff --git a/testsuite/integration/basic/src/test/java/org/wildfly/test/integration/web/VirtualHostTestCase.java b/testsuite/integration/basic/src/test/java/org/wildfly/test/integration/web/VirtualHostTestCase.java
index 859f0fe275e..10c7f5c7ac8 100644
--- a/testsuite/integration/basic/src/test/java/org/wildfly/test/integration/web/VirtualHostTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/wildfly/test/integration/web/VirtualHostTestCase.java
@@ -138,12 +138,12 @@ private void callAndTest(String uri, String expectedResult) throws IOException {
     public void testDefaultHost() throws IOException {
         Assume.assumeTrue("This needs to be localhost, as it is by host mapping",
                 InetAddress.getByName(TestSuiteEnvironment.getServerAddress()).isLoopbackAddress());
-        callAndTest("http://localhost:8080/", "ROOT");
+        callAndTest("http://localhost:" + TestSuiteEnvironment.getHttpPort() + "/", "ROOT");
     }
 
     @Test
     public void testNonDefaultHost() throws IOException {
-        callAndTest("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/", "test"); //second host on first server has alias 127.0.0.1 or ::1
+        callAndTest("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/", "test"); //second host on first server has alias 127.0.0.1 or ::1
     }
 
     @Test
diff --git a/testsuite/integration/clustering/src/test/java/org/jboss/as/test/clustering/cluster/jms/ClusteredMessagingTestCase.java b/testsuite/integration/clustering/src/test/java/org/jboss/as/test/clustering/cluster/jms/ClusteredMessagingTestCase.java
index 44b45c4991f..b591f282563 100644
--- a/testsuite/integration/clustering/src/test/java/org/jboss/as/test/clustering/cluster/jms/ClusteredMessagingTestCase.java
+++ b/testsuite/integration/clustering/src/test/java/org/jboss/as/test/clustering/cluster/jms/ClusteredMessagingTestCase.java
@@ -172,7 +172,7 @@ public void testClusteredTopic() throws Exception {
     protected static InitialContext createJNDIContextFromServer0() throws NamingException {
         final Properties env = new Properties();
         env.put(Context.INITIAL_CONTEXT_FACTORY, "org.jboss.naming.remote.client.InitialContextFactory");
-        env.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":8080");
+        env.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort());
         env.put(Context.SECURITY_PRINCIPAL, "guest");
         env.put(Context.SECURITY_CREDENTIALS, "guest");
         return new InitialContext(env);
diff --git a/testsuite/integration/iiop/src/test/java/org/jboss/as/test/iiop/transaction/timeout/IIOPTimeoutTestCase.java b/testsuite/integration/iiop/src/test/java/org/jboss/as/test/iiop/transaction/timeout/IIOPTimeoutTestCase.java
index 20c6e583592..83a573d69aa 100644
--- a/testsuite/integration/iiop/src/test/java/org/jboss/as/test/iiop/transaction/timeout/IIOPTimeoutTestCase.java
+++ b/testsuite/integration/iiop/src/test/java/org/jboss/as/test/iiop/transaction/timeout/IIOPTimeoutTestCase.java
@@ -82,7 +82,7 @@
     @Before
     public void startUp() throws NamingException {
         if(checker == null) {
-            checker = TransactionTestLookupUtil.lookupEjbStateless(mgmtClient.getMgmtAddress(), 8080,
+            checker = TransactionTestLookupUtil.lookupEjbStateless(mgmtClient.getMgmtAddress(), Integer.parseInt(System.getProperty("jboss.http.port", "8080")),
                     DEPLOYMENT_NAME, TransactionCheckerSingleton.class, TransactionCheckerSingletonRemote.class);
         }
         checker.resetAll();
diff --git a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/ejb/client/outbound/connection/security/ElytronRemoteOutboundConnectionTestCase.java b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/ejb/client/outbound/connection/security/ElytronRemoteOutboundConnectionTestCase.java
index 7d85501efc3..858d8cfd067 100644
--- a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/ejb/client/outbound/connection/security/ElytronRemoteOutboundConnectionTestCase.java
+++ b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/ejb/client/outbound/connection/security/ElytronRemoteOutboundConnectionTestCase.java
@@ -151,7 +151,7 @@
     private static final String BARE_REMOTING_PROTOCOL = "remote";
     private static final int SSL_REMOTING_PORT = 54448;
     private static final String SSL_REMOTING_PROTOCOL = "remote";
-    private static final int HTTP_REMOTING_PORT = 8080;
+    private static final int HTTP_REMOTING_PORT = Integer.parseInt(System.getProperty("jboss.http.port", "8080"));
     private static final String HTTP_REMOTING_PROTOCOL = "http-remoting";
     private static final int HTTPS_REMOTING_PORT = 8443;
     private static final String HTTPS_REMOTING_PROTOCOL = "https-remoting";
diff --git a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/jca/workmanager/distributed/AbstractDwmTestCase.java b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/jca/workmanager/distributed/AbstractDwmTestCase.java
index 7403bb1c4d2..2963ac468e8 100644
--- a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/jca/workmanager/distributed/AbstractDwmTestCase.java
+++ b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/jca/workmanager/distributed/AbstractDwmTestCase.java
@@ -222,7 +222,7 @@ public void setUp() throws Exception {
 
         // set up ejb proxies
         try {
-            server1Proxy = lookupAdminObject(TestSuiteEnvironment.getServerAddress(), "8080");
+            server1Proxy = lookupAdminObject(TestSuiteEnvironment.getServerAddress(), System.getProperty("jboss.http.port", "8080"));
             server2Proxy = lookupAdminObject(TestSuiteEnvironment.getServerAddressNode1(), "8180");
             Assert.assertNotNull(server1Proxy);
             Assert.assertNotNull(server2Proxy);
diff --git a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/layered/LayeredDistributionTestCase.java b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/layered/LayeredDistributionTestCase.java
index ca25b295926..cbb6c820454 100644
--- a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/layered/LayeredDistributionTestCase.java
+++ b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/layered/LayeredDistributionTestCase.java
@@ -74,7 +74,7 @@
     private static final String PRODUCT_NAME = "Test-Product";
     private static final String PRODUCT_VERSION = "1.0.0-Test";
     private static final String DEPLOYMENT = "test-deployment";
-    private static final String webURI = "http://" + TestSuiteEnvironment.getServerAddress() + ":8080";
+    private static final String webURI = "http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort();
 
     @ArquillianResource
     private ContainerController controller;
diff --git a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/messaging/ha/AbstractMessagingHATestCase.java b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/messaging/ha/AbstractMessagingHATestCase.java
index 3d63e74dd40..d97147c9fa9 100644
--- a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/messaging/ha/AbstractMessagingHATestCase.java
+++ b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/messaging/ha/AbstractMessagingHATestCase.java
@@ -151,7 +151,7 @@ protected static void checkHornetQServerStartedAndActiveAttributes(JMSOperations
     protected static InitialContext createJNDIContextFromServer1() throws NamingException {
         final Properties env = new Properties();
         env.put(Context.INITIAL_CONTEXT_FACTORY, "org.jboss.naming.remote.client.InitialContextFactory");
-        env.put(Context.PROVIDER_URL, System.getProperty(Context.PROVIDER_URL, "remote+http://127.0.0.1:8080"));
+        env.put(Context.PROVIDER_URL, System.getProperty(Context.PROVIDER_URL, "remote+http://127.0.0.1:" + TestSuiteEnvironment.getHttpPort()));
         env.put(Context.SECURITY_PRINCIPAL, "guest");
         env.put(Context.SECURITY_CREDENTIALS, "guest");
         return new InitialContext(env);
diff --git a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/security/SecuredDataSourceTestCase.java b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/security/SecuredDataSourceTestCase.java
index 70a5c03670a..0d013a43824 100644
--- a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/security/SecuredDataSourceTestCase.java
+++ b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/security/SecuredDataSourceTestCase.java
@@ -81,7 +81,7 @@
 
     @Test
     public void test() throws Exception {
-        final URI uri = new URI("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/" + TEST_NAME
+        final URI uri = new URI("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/" + TEST_NAME
                 + DataSourceTestServlet.SERVLET_PATH + "?" + DataSourceTestServlet.PARAM_DS + "=" + TEST_NAME);
         final String body = Utils.makeCall(uri, HttpServletResponse.SC_OK);
         assertEquals("true", body);
diff --git a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/security/VaultSystemPropertyOnServerStartTestCase.java b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/security/VaultSystemPropertyOnServerStartTestCase.java
index c347a97ab24..711849ee01b 100644
--- a/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/security/VaultSystemPropertyOnServerStartTestCase.java
+++ b/testsuite/integration/manualmode/src/test/java/org/jboss/as/test/manualmode/security/VaultSystemPropertyOnServerStartTestCase.java
@@ -79,7 +79,7 @@
     public static final String TESTING_SYSTEM_PROPERTY = "vault.testing.property";
     public static final PathAddress SYSTEM_PROPERTIES_PATH = PathAddress.pathAddress().append(SYSTEM_PROPERTY,
             TESTING_SYSTEM_PROPERTY);
-    private static final String printPropertyServlet = "http://" + TestSuiteEnvironment.getServerAddress() + ":8080/"
+    private static final String printPropertyServlet = "http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/"
             + DEPLOYMENT + PrintSystemPropertyServlet.SERVLET_PATH + "?" + PrintSystemPropertyServlet.PARAM_PROPERTY_NAME + "="
             + TESTING_SYSTEM_PROPERTY;
 
diff --git a/testsuite/integration/manualmode/src/test/java/org/wildfly/test/manual/elytron/seccontext/AbstractSecurityContextPropagationTestBase.java b/testsuite/integration/manualmode/src/test/java/org/wildfly/test/manual/elytron/seccontext/AbstractSecurityContextPropagationTestBase.java
index 3204c06384c..3dc92616f82 100644
--- a/testsuite/integration/manualmode/src/test/java/org/wildfly/test/manual/elytron/seccontext/AbstractSecurityContextPropagationTestBase.java
+++ b/testsuite/integration/manualmode/src/test/java/org/wildfly/test/manual/elytron/seccontext/AbstractSecurityContextPropagationTestBase.java
@@ -653,7 +653,7 @@ public int getManagementPort() {
         }
 
         public int getApplicationPort() {
-            return 8080 + portOffset;
+            return Integer.parseInt(System.getProperty("jboss.http.port", "8080")) + portOffset;
         }
 
         public String getApplicationHttpUrl() throws IOException {
diff --git a/testsuite/integration/picketlink/src/test/java/org/wildfly/test/integration/security/picketlink/federation/SAMLIDPInitiatedTestCase.java b/testsuite/integration/picketlink/src/test/java/org/wildfly/test/integration/security/picketlink/federation/SAMLIDPInitiatedTestCase.java
index 01766dcb01c..2e69d7b0d61 100644
--- a/testsuite/integration/picketlink/src/test/java/org/wildfly/test/integration/security/picketlink/federation/SAMLIDPInitiatedTestCase.java
+++ b/testsuite/integration/picketlink/src/test/java/org/wildfly/test/integration/security/picketlink/federation/SAMLIDPInitiatedTestCase.java
@@ -60,7 +60,7 @@
 
     static {
         String node0 = System.getProperty("node0", "127.0.0.1");
-        String port0 = "8080";
+        String port0 = System.getProperty("jboss.http.port", "8080");
         try {
             webURI = URLEncoder.encode("http://" + (node0.indexOf(":") > -1 ? "[" + node0 + "]" : node0) + ":" + port0, "ISO-8859-1");
         } catch (UnsupportedEncodingException e) {
diff --git a/testsuite/integration/secman/src/test/java/org/jboss/as/testsuite/integration/secman/subsystem/MaximumPermissionsTestCase.java b/testsuite/integration/secman/src/test/java/org/jboss/as/testsuite/integration/secman/subsystem/MaximumPermissionsTestCase.java
index 76e935b1f84..b9a5b0d7af3 100644
--- a/testsuite/integration/secman/src/test/java/org/jboss/as/testsuite/integration/secman/subsystem/MaximumPermissionsTestCase.java
+++ b/testsuite/integration/secman/src/test/java/org/jboss/as/testsuite/integration/secman/subsystem/MaximumPermissionsTestCase.java
@@ -65,7 +65,7 @@
     private static final String DEPLOYMENT_NO_PERM = "deployment-no-perm";
 
     private static Logger LOGGER = Logger.getLogger(MaximumPermissionsTestCase.class);
-    private static final String ADDRESS_WEB = "http://" + TestSuiteEnvironment.getServerAddress() + ":8080/";
+    private static final String ADDRESS_WEB = "http://" + TestSuiteEnvironment.getServerAddress() + ":" + System.getProperty("jboss.http.port", "8080") + "/";
 
     private static final String INDEX_HTML = "OK";
 
diff --git a/testsuite/integration/smoke/src/test/java/org/jboss/as/test/smoke/deployment/rar/tests/eardeployment/EarDeploymentTestCase.java b/testsuite/integration/smoke/src/test/java/org/jboss/as/test/smoke/deployment/rar/tests/eardeployment/EarDeploymentTestCase.java
index 6eecc5c780e..42a5428845b 100644
--- a/testsuite/integration/smoke/src/test/java/org/jboss/as/test/smoke/deployment/rar/tests/eardeployment/EarDeploymentTestCase.java
+++ b/testsuite/integration/smoke/src/test/java/org/jboss/as/test/smoke/deployment/rar/tests/eardeployment/EarDeploymentTestCase.java
@@ -100,7 +100,7 @@ public static EnterpriseArchive createDeployment() throws Exception {
      */
     @Test
     public void testWebConfiguration() throws Throwable {
-        URL servletURL = new URL("http://" + url.getHost() + ":8080/servlet" + RaServlet.URL_PATTERN);
+        URL servletURL = new URL("http://" + url.getHost() + ":" + System.getProperty("jboss.http.port", "8080") + "/servlet" + RaServlet.URL_PATTERN);
         BufferedReader br = new BufferedReader(new InputStreamReader(servletURL.openStream(), StandardCharsets.UTF_8));
         String message = br.readLine();
         assertEquals(RaServlet.SUCCESS, message);
diff --git a/testsuite/integration/smoke/src/test/java/org/jboss/as/test/smoke/socketbindings/SocketBindingBoundPortsTestCase.java b/testsuite/integration/smoke/src/test/java/org/jboss/as/test/smoke/socketbindings/SocketBindingBoundPortsTestCase.java
index aa91a6f290d..93e7e6577cd 100644
--- a/testsuite/integration/smoke/src/test/java/org/jboss/as/test/smoke/socketbindings/SocketBindingBoundPortsTestCase.java
+++ b/testsuite/integration/smoke/src/test/java/org/jboss/as/test/smoke/socketbindings/SocketBindingBoundPortsTestCase.java
@@ -63,7 +63,7 @@ public void testHttpBoundSocket() throws IOException {
         ModelNode response = execute(operation);
         ModelNode result = response.get(RESULT);
         Assert.assertTrue("http socket binding is not set as bound.", result.get(BOUND).asBoolean());
-        Assert.assertEquals(result.get(BOUND_PORT).asInt(), 8080);
+        Assert.assertEquals(result.get(BOUND_PORT).asInt(), Integer.parseInt(System.getProperty("jboss.http.port", "8080")));
     }
 
     @Test
diff --git a/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionInvalidateTestCase.java b/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionInvalidateTestCase.java
index 543f43dac3e..a677637a179 100644
--- a/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionInvalidateTestCase.java
+++ b/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionInvalidateTestCase.java
@@ -75,7 +75,7 @@ public void testInvalidateSessions() throws Exception {
             ModelNode opRes = managementClient.getControllerClient().execute(operation);
             Assert.assertEquals("success", opRes.get(ModelDescriptionConstants.OUTCOME).asString());
             Assert.assertEquals(false, opRes.get(ModelDescriptionConstants.RESULT).asBoolean());
-            HttpGet get = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/invalidate/SessionPersistenceServlet");
+            HttpGet get = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/invalidate/SessionPersistenceServlet");
             HttpResponse res = client.execute(get);
             String sessionId = null;
             for (Header cookie : res.getHeaders("Set-Cookie")) {
diff --git a/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionManagementTestCase.java b/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionManagementTestCase.java
index d07c04da65d..1821c2e1c92 100644
--- a/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionManagementTestCase.java
+++ b/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionManagementTestCase.java
@@ -89,7 +89,7 @@ public void testSessionManagementOperations() throws Exception {
             Assert.assertEquals(opRes.toString(), "success", opRes.get(ModelDescriptionConstants.OUTCOME).asString());
             Assert.assertEquals(Collections.emptyList(), opRes.get(ModelDescriptionConstants.RESULT).asList());
             long c1 = System.currentTimeMillis();
-            HttpGet get = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/management/SessionPersistenceServlet");
+            HttpGet get = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/management/SessionPersistenceServlet");
             HttpResponse res = client.execute(get);
             long c2 = System.currentTimeMillis();
             String sessionId = null;
@@ -192,7 +192,7 @@ public void testSessionManagementOperationsNegative() throws Exception {
             executeOperation(operation, INVALIDATE_SESSION);
 
             HttpGet get = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() +
-                    ":8080/management/SessionPersistenceServlet");
+                    ":" + TestSuiteEnvironment.getHttpPort() + "/management/SessionPersistenceServlet");
             HttpResponse res = client.execute(get);
             sessionId = null;
             for (Header cookie : res.getHeaders("Set-Cookie")) {
diff --git a/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionPersistenceTestCase.java b/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionPersistenceTestCase.java
index a2931178a43..1684da1563f 100644
--- a/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionPersistenceTestCase.java
+++ b/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/session/SessionPersistenceTestCase.java
@@ -64,7 +64,7 @@
     @Test
     public void testLifeCycle() throws Exception {
         try (CloseableHttpClient client = HttpClients.createDefault()) {
-            HttpGet get = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/sessionPersistence/SessionPersistenceServlet");
+            HttpGet get = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/sessionPersistence/SessionPersistenceServlet");
             deployer.deploy("web");
             String result = runGet(get, client);
             assertEquals("0", result);
diff --git a/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/sharedsession/SharedSessionTestCase.java b/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/sharedsession/SharedSessionTestCase.java
index 8ee627f960b..8821140f800 100644
--- a/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/sharedsession/SharedSessionTestCase.java
+++ b/testsuite/integration/web/src/test/java/org/jboss/as/test/integration/web/sharedsession/SharedSessionTestCase.java
@@ -84,8 +84,8 @@ public void testSharedSessionsOneEar() throws IOException {
         // Note that this test should not need to use a relaxed domain handling, however the http client does not treat ipv6 domains (e.g. ::1) properly
         HttpClient client = TestHttpClientUtils.promiscuousCookieHttpClient();
 
-        HttpGet get1 = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/war1/SharedSessionServlet");
-        HttpGet get2 = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/war2/SharedSessionServlet");
+        HttpGet get1 = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/war1/SharedSessionServlet");
+        HttpGet get2 = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/war2/SharedSessionServlet");
 
         String result = runGet(get1, client);
         assertEquals("0", result);
@@ -115,8 +115,8 @@ public void testNotSharedSessions() throws IOException {
         // Note that this test should not need to use a relaxed domain handling, however the http client does not treat ipv6 domains (e.g. ::1) properly
         HttpClient client = TestHttpClientUtils.promiscuousCookieHttpClient();
 
-        HttpGet getX = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/warX/SharedSessionServlet");
-        HttpGet getY = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/warY/SharedSessionServlet");
+        HttpGet getX = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/warX/SharedSessionServlet");
+        HttpGet getY = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/warY/SharedSessionServlet");
 
         String result = runGet(getX, client);
         assertEquals("0", result);
@@ -141,10 +141,10 @@ public void testSharedSessionsDoNotInterleave() throws IOException {
         // Note that this test should not need to use a relaxed domain handling, however the http client does not treat ipv6 domains (e.g. ::1) properly
         HttpClient client = TestHttpClientUtils.promiscuousCookieHttpClient();
 
-        HttpGet get1 = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/war1/SharedSessionServlet");
-        HttpGet get2 = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/war2/SharedSessionServlet");
-        HttpGet getX = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/warX/SharedSessionServlet");
-        HttpGet getY = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":8080/warY/SharedSessionServlet");
+        HttpGet get1 = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/war1/SharedSessionServlet");
+        HttpGet get2 = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/war2/SharedSessionServlet");
+        HttpGet getX = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/warX/SharedSessionServlet");
+        HttpGet getY = new HttpGet("http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/warY/SharedSessionServlet");
 
         String result = runGet(get1, client);
         assertEquals("0", result);
diff --git a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/authentication/policy/AuthenticationPolicyContextTestCase.java b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/authentication/policy/AuthenticationPolicyContextTestCase.java
index f7da2d3949d..cda53c668ed 100644
--- a/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/authentication/policy/AuthenticationPolicyContextTestCase.java
+++ b/testsuite/integration/ws/src/test/java/org/jboss/as/test/integration/ws/authentication/policy/AuthenticationPolicyContextTestCase.java
@@ -101,7 +101,7 @@
     private static final String USERNAME = "UserA";
     private static final String PASSWORD = "PassA";
     private static final String DEFAULT_HOST = getHostname();
-    private static final int DEFAULT_PORT = 8080;
+    private static final int DEFAULT_PORT = Integer.parseInt(System.getProperty("jboss.http.port", "8080"));
 
     private volatile ModelControllerClient modelControllerClient;
     private static WSTrustClient wsClient;
